hosting

GET /v1/vector/indexes/{indexId}

One vector index.

Wszystkie punkty końcowe hosting

Uwierzytelnianie

Wyślij klucz API jako token bearer. Klucz musi posiadać uprawnienie vector.view; klucz bez niego jest odrzucany z kodem 403, a nie 404.

Ten punkt końcowy nie wymaga identyfikatora organizacji. Twój klucz już identyfikuje organizację, do której należy, a odpowiedź jest do niej ograniczona.

Wypróbuj

Zastąp wszystko w nawiasach ostrych własnymi wartościami, a zastępczy znacznik klucza kluczem ze swojego pulpitu nawigacyjnego.

curl -X GET https://api.zinndigital.com/v1/vector/indexes/{indexId} \
  -H "Authorization: Bearer zdk_live_…"

Zalogowany? Konsola API w Twoim panelu uzupełnia rzeczywiste identyfikator organizacji oraz Twój własny klucz i wykonuje żądanie względem aktywnego API, dzięki czemu możesz zobaczyć rzeczywistą odpowiedź. Otwórz ten punkt końcowy w konsoli API

Szczegóły

One index belonging to this organisation. Requires `vector.view`.

Parametry

NazwaTypWymaganeCo to jest
indexId (path)stringTakThe index's id.

Odpowiedź

NazwaTypWymaganeCo to jest
idstringTak
namestringTakLower-case, hyphenated, unique within the organisation.
dimensionintegerTakThe width your embedding model emits, and the width reads return. Fixed at creation.
metricstring<cosine, l2, inner_product>TakThe distance function. Fixed at creation.
statusstring<ready, deleting>Tak
vectorsintegerTakHow many vectors the index holds.
storage_bytesintegerTakWhat the index counts for against `vector_index_gb`. A published formula rather than a physical table size, so it is reproducible: 96 bytes of row overhead, plus the stored widt…
created_atstringTak

Błędy, które ten punkt końcowy może zwrócić

401 · 403 · 404 · 429